The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

apache 2.2 frontpage 500 error

Discussion in 'EasyApache' started by Zxin, Sep 5, 2007.

  1. Zxin

    Zxin Member

    Joined:
    Jan 24, 2005
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    After upgrading to apache 2.2 and the latest php, everything is great, except one problem.

    A client gets the following error when trying to login to frontpage.

    ---
    404 error: file not found
    Internal server error I'm sorry http://www.foo.bar/_vti_bin/_vti_aut/author.exe has generated an "Internal server error" HTTP 500 - Internal server erro
    ---

    So I removed all custom http error pages and the same action then gets this error message:

    ---
    500 Internal Server Error
    Internal Server Error The server encountered an internal error or misconfiguration and was unable to complete your request. Please contact the server administrator, webmaster@foo.bar and inform them of the time the error occurred, and anything you might have done that may have caused the error. More information about this error may be available in the server
    ---

    Any ideas?


    -Thomas
     
    #1 Zxin, Sep 5, 2007
    Last edited: Sep 5, 2007
  2. Zxin

    Zxin Member

    Joined:
    Jan 24, 2005
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    Also,
    _vti_bin/_vti_aut/author.exe

    the author.exe doesn't exist...
    just an .htaccess file in that dir.

    -Thomas
     
  3. nyjimbo

    nyjimbo Well-Known Member

    Joined:
    Jan 25, 2003
    Messages:
    1,125
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    New York
    You should double check with the Cpanel team that Frontpage still exists for Apache 2.2

    I know it does work on 2.0x but I heard some talk about it not working under 2.2
     
  4. tawfiq

    tawfiq Active Member

    Joined:
    Mar 13, 2004
    Messages:
    37
    Likes Received:
    0
    Trophy Points:
    6
    anyone tested if frontpage extensions work with apache 2.2 ?
     
  5. ToddShipway

    ToddShipway Well-Known Member

    Joined:
    Nov 13, 2006
    Messages:
    300
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Houston, TX
    I have found that frontpage extensions don't work well with apache 2.2 due to poor support of mod_auth_passthrough within 2.2.

    If your experiencing problems with Frontpage in 2.2, I recommend going back to 2.0 as frontpage does work properly within apache 2.0

    I'm not saying FP isn't supported in 2.2, just works poorly. We are still looking into frontpage support within apache 2.2, so this may improve once we can narrow the issue down further.
     
Loading...

Share This Page